## dwgsim 0.1.11

=== Makefile ===
PACKAGE_VERSION="0.1.11"
CC=			gcc
CFLAGS=		-g -Wall -O3 #-m64 #-arch ppc
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_USE_KNETFILE -DPACKAGE_VERSION=\\\"${PACKAGE_VERSION}\\\"
DWGSIM_AOBJS = src/dwgsim_opt.o src/mut.o src/contigs.o src/regions_bed.o \
			   src/mut_txt.o src/mut_bed.o src/mut_vcf.o src/mut_input.o src/dwgsim.o
DWGSIM_EVAL_AOBJS = src/dwgsim_eval.o \
					samtools/knetfile.o \
					samtools/bgzf.o samtools/kstring.o samtools/bam_aux.o samtools/bam.o samtools/bam_import.o samtools/sam.o samtools/bam_index.o \
					samtools/bam_pileup.o samtools/bam_lpileup.o samtools/bam_md.o samtools/razf.o samtools/faidx.o samtools/bedidx.o \
					samtools/bam_sort.o samtools/sam_header.o samtools/bam_reheader.o samtools/kprobaln.o samtools/bam_cat.o

PROG=		dwgsim dwgsim_eval
INCLUDES=	-I.
SUBDIRS=	samtools . 
CLEAN_SUBDIRS=	samtools src
LIBPATH=

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)

.PHONY:all lib clean cleanlocal
.PHONY:all-recur lib-recur clean-recur cleanlocal-recur install-recur

dwgsim:lib-recur $(DWGSIM_AOBJS)
	$(CC) $(CFLAGS) -o $@ $(DWGSIM_AOBJS) -lm -lz -lpthread

dwgsim_eval:lib-recur $(DWGSIM_EVAL_AOBJS)
	$(CC) $(CFLAGS) -o $@ $(DWGSIM_EVAL_AOBJS) -Lsamtools -lm -lz -lpthread

cleanlocal:
		rm -vfr gmon.out *.o a.out *.exe *.dSYM razip bgzip $(PROG) *~ *.a *.so.* *.so *.dylib; \
		wdir=`pwd`; \
		list='$(CLEAN_SUBDIRS)'; for subdir in $$list; do \
			if [ -d $$subdir ]; then \
				cd $$subdir; \
				pwd; \
				rm -vfr gmon.out *.o a.out *.exe *.dSYM razip bgzip $(PROG) *~ *.a *.so.* *.so *.dylib; \
				cd $$wdir; \
			fi; \
		done;

clean:cleanlocal-recur

dist:clean
	if [ -f dwgsim-${PACKAGE_VERSION}.tar.gz ]; then \
        rm -rv dwgsim-${PACKAGE_VERSION}.tar.gz; \
	fi; \
	if [ -f dwgsim-${PACKAGE_VERSION}.tar ]; then \
        rm -rv dwgsim-${PACKAGE_VERSION}.tar; \
	fi; \
	if [ -d dwgsim-${PACKAGE_VERSION} ]; then \
        rm -rv dwgsim-${PACKAGE_VERSION}; \
	fi; \
    mkdir dwgsim-${PACKAGE_VERSION}; \
	cp -r INSTALL LICENSE Makefile README scripts src dwgsim-${PACKAGE_VERSION}/.; \
	tar -vcf dwgsim-${PACKAGE_VERSION}.tar dwgsim-${PACKAGE_VERSION}; \
	gzip -9 dwgsim-${PACKAGE_VERSION}.tar; \
	rm -rv dwgsim-${PACKAGE_VERSION};

=== debian/changelog ===
dwgsim (0.1.11-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:20:26 +0000

dwgsim (0.1.11-3) unstable; urgency=medium

  [Andreas Tille]
  * Correct Maintainer to Debian Med

 -- Kevin Murray <spam@kdmurray.id.au>  Mon, 04 Jan 2016 14:49:00 +1100

dwgsim (0.1.11-2) unstable; urgency=medium

  * Add d/*.install to git (Closes: #803009)
  * Fix some lintian warnings

 -- Kevin Murray <spam@kdmurray.id.au>  Mon, 26 Oct 2015 11:54:58 +1100

dwgsim (0.1.11-1) unstable; urgency=low

  * Initial release (Closes: #799830)

 -- Kevin Murray <spam@kdmurray.id.au>  Wed, 23 Sep 2015 09:14:48 +1000

=== debian/control ===
Source: dwgsim
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <spam@kdmurray.id.au>
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://github.com/nh13/DWGSIM/
Vcs-Git: git://anonscm.debian.org/debian-med/dwgsim.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dwgsim.git/

Package: dwgsim
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: short sequencing read simulator
 DWGSIM simulates short sequencing reads from modern sequencing platforms.
 DWGSIM generates base error rates using a parametric model, allowing a more
 realisic error profile. It was originally developed for use in evaluating
 short read aligners.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

## dwgsim 0.1.12

=== Makefile ===
--- 
+++ 
@@ -71,3 +71,7 @@
 	tar -vcf dwgsim-${PACKAGE_VERSION}.tar dwgsim-${PACKAGE_VERSION}; \
 	gzip -9 dwgsim-${PACKAGE_VERSION}.tar; \
 	rm -rv dwgsim-${PACKAGE_VERSION};
+
+test:
+	if [ -d tmp ]; then rm -r tmp; fi
+	/bin/bash testdata/test.sh

=== debian/changelog ===
dwgsim (0.1.12-4) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtest
  * Update metadata
  * Remove travis-ci build status
  * compat version: 13, Rules-Requires-Root: no, standards-version: 4.5.0
  * Fix spellings

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 14 Jul 2020 16:53:02 +0530

dwgsim (0.1.12-3) unstable; urgency=medium

  * Team upload.
  * Use 2to3 to port from Python2 to Python3
    Closes: #943001
  * Replace python-markdown by markdown
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database.

 -- Andreas Tille <tille@debian.org>  Sun, 15 Dec 2019 16:37:09 +0100

dwgsim (0.1.12-2) unstable; urgency=medium

  * Team upload.
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 13:03:23 +0100

dwgsim (0.1.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * debhelper 11
  * build time test needs example data from samtools
  * Upstream converted README to README.md -> install html
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 29 Mar 2018 10:25:11 +0200

=== debian/control ===
Source: dwgsim
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               samtools (>= 1.7-2),
               markdown,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/dwgsim
Vcs-Git: https://salsa.debian.org/med-team/dwgsim.git
Homepage: https://github.com/nh13/DWGSIM/
Rules-Requires-Root: no

Package: dwgsim
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: short sequencing read simulator
 DWGSIM simulates short sequencing reads from modern sequencing platforms.
 DWGSIM generates base error rates using a parametric model, allowing a more
 realisic error profile. It was originally developed for use in evaluating
 short read aligners.

=== debian/watch ===
version=3

https://github.com/nh13/DWGSIM/releases .*/archive/dwgsim\.?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## dwgsim 0.1.13

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PACKAGE_VERSION="0.1.11"
+PACKAGE_VERSION="0.1.13"
 CC=			gcc
 CFLAGS=		-g -Wall -O3 #-m64 #-arch ppc
 DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_USE_KNETFILE -DPACKAGE_VERSION=\\\"${PACKAGE_VERSION}\\\"

=== debian/changelog ===
dwgsim (0.1.13-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * d/watch: use tags instead of releases
  * Add missing build dependency on dh addon.

  [ Nilesh Patra ]
  * Add patch to fix build
  * Modify/fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 18:57:33 +0100

dwgsim (0.1.12-5) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on samtools.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 07:01:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               samtools (>= 1.7-2),
+               samtools,
                markdown,
-               zlib1g-dev
-Standards-Version: 4.5.0
+               zlib1g-dev,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/dwgsim
 Vcs-Git: https://salsa.debian.org/med-team/dwgsim.git
 Homepage: https://github.com/nh13/DWGSIM/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	sed -i 's/occour/occur/' src/dwgsim_opt.c
	sed -i 's/occour/occur/' debian/dwgsim.1
	dh_auto_build
	markdown README.md > README.html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ln -s /usr/share/doc/samtools/examples samtools
	dh_auto_test
endif

## dwgsim 0.1.14

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PACKAGE_VERSION="0.1.13"
+PACKAGE_VERSION="0.1.14"
 CC=			gcc
 CFLAGS=		-g -Wall -O3 #-m64 #-arch ppc
 DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_USE_KNETFILE -DPACKAGE_VERSION=\\\"${PACKAGE_VERSION}\\\"

=== debian/changelog ===
dwgsim (0.1.14-4) unstable; urgency=medium

  * Team Upload.
  * Add patch to fixup FTBFS with gcc-15 (Closes: #1096554)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 21 Sep 2025 00:52:13 +0530

dwgsim (0.1.14-3) unstable; urgency=medium

  * Team upload.
  * d/rules: workaround build failure with gcc 14. (Closes: #1074926)
  * remove-travis-ci-link.patch: remove unused patch.
  * d/clean: properly cleanup multiple build artifacts.
    (Closes: #1044706, #1049717)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sun, 25 Aug 2024 09:38:11 +0200

dwgsim (0.1.14-2) unstable; urgency=medium

  * Team upload.
  * Get package cross-building
    + Stop generating html from readme, install rest of docs
  * Stop B-D on debhelper (there is a B-D on debhelper-compat already)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 19 Aug 2022 14:55:28 +0530

dwgsim (0.1.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.14
  * routine-update: Standards-Version: 4.6.1
  * Refresh patches

 -- Mohammed Bilal <mdbilal@disroot.org>  Fri, 12 Aug 2022 20:25:46 +0530

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                samtools,
-               markdown,
-               zlib1g-dev,
-               debhelper
-Standards-Version: 4.6.0
+               zlib1g-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/dwgsim
 Vcs-Git: https://salsa.debian.org/med-team/dwgsim.git
 Homepage: https://github.com/nh13/DWGSIM/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, samtools
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://github.com/nh13/DWGSIM/tags .*/dwgsim\.?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
